<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [hasWarehouse](./bitburner.warehouseapi.haswarehouse.md)

## WarehouseAPI.hasWarehouse() method

Check if you have a warehouse in city

<b>Signature:</b>

```typescript
hasWarehouse(adivisionName: any, acityName: any): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  adivisionName | any |  |
|  acityName | any |  |

<b>Returns:</b>

boolean

true if warehouse is present, false if not

